What are the audience requirements for viewing a live BrightTALK Pro webinar?

The BrightTALK Pro Webinar tool does not require Adobe Flash for audience to viewing. Outdated versions of Internet Explorer 10 or earlier are the exception as these browsers still require flash to view videos. Make sure your audience is using Internet Explorer 11+, Chrome, Safari or Firefox. 

If you are using our BrightTALK Standard (Legacy) webinars, your audience will require Adobe Flash 10.2.13 or later in order to view live.

iOS and Android devices now support the viewing of live and recorded BrightTALK Pro webinars, as well as recorded standard (slides & audio) webinars. 

Have more questions? Submit a request

Comments







Powered by Zendesk